Skip to main content
GET
/
v2
/
invites
/
{id}
Retrieve an invite
curl --request GET \
  --url https://api-sandbox.argyle.com/v2/invites/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "0424137bc-edc5-35de-c1b5-1c3cddb4b227",
  "user": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
  "user_token": "bcJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJjbGllbnRfaWEiOiIxNDRhMTRkNS04YzEzLTQzZGYtOTI4Ni01OWY4NjFkOWEyMDIiLCJleHAiOjE2ODc3OTMzODAsImZpZCI6IjUyYWM3ZFFiLTI1MzAtNGYyNy04NTZlLTkwOTk1ZDA4NWJkMCIsImlhdCI6MTY4Nzc4OTc4MCwiaXNzIjoiYXJneWxlLWNvcmUtYXV1aC1kZXYiLCJqdGkiOiI2ZWJiOGIxMS0wYzFjLTRiNjEtYmI5NS04ZGQ0YzA0OGQwNzUiLCJzdWIiOiIwMTg4ZjgxYy0zZTFkLTRlZDEtMjEyYy02NmE3YzE4YzVjYzMiLCJ1c2VyX2lkIjoiMDE4OGY4MWMtM2UxZC00ZWQxLTIxMmMtNjZhN2MxN2M1Y2MzIn0.TNiZojOiiXtPVamyCDjz4f2GwR4TA8x6JR3RwjTECjY",
  "email": "[email protected]",
  "phone_number": "212-555-5555",
  "full_name": "Sarah Longfield",
  "first_name": "Sarah",
  "last_name": "Longfield",
  "revoked_at": null,
  "status": "sent",
  "group_id": "d8a07e5b-13a3-11ef-af7e-c7eb00762562",
  "url": "https://console.argyle.com/add-work-accounts/0424137bc-edc5-35de-c1b5-1c3cddb4b227",
  "created_at": "2023-03-09T23:57:05.756Z",
  "updated_at": "2023-03-09T23:57:05.756Z",
  "invited_at": "2023-03-09T23:57:05.756Z",
  "flow_id": "8DRRA4XC",
  "flow_items": [
    "item_000000001",
    "item_000000002"
  ],
  "reply_to": [
    "[email protected]",
    "[email protected]"
  ],
  "deliveries": [
    {
      "id": "d7c85e44-9729-11f0-b297-f3718e19503e",
      "method": "email",
      "status": "sent",
      "sent_at": "2023-03-09T23:57:24.000Z",
      "updated_at": "2023-03-09T03:24:58.000Z"
    }
  ],
  "invite_template_id": null
}

Authorizations

Authorization
string
header
required

Username = api_key_id, Password = api_key_secret

Path Parameters

id
string<uuid>
required

ID of the invite to be retrieved.

Response

200 - application/json
id
string<uuid>

Unique ID of the invite.

Example:

"0424137bc-edc5-35de-c1b5-1c3cddb4b227"

user
string<uuid>

ID of the user.

Example:

"018051aa-f7a9-a0db-2f38-6cfa325e9d69"

user_token
string

User token required to initialize embedded instances of Link for the user.

Warning: This user token will expire after one hour. A new user token can be created at any time using the /user-tokens API endpoint.

Example:

"bcJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJjbGllbnRfaWEiOiIxNDRhMTRkNS04YzEzLTQzZGYtOTI4Ni01OWY4NjFkOWEyMDIiLCJleHAiOjE2ODc3OTMzODAsImZpZCI6IjUyYWM3ZFFiLTI1MzAtNGYyNy04NTZlLTkwOTk1ZDA4NWJkMCIsImlhdCI6MTY4Nzc4OTc4MCwiaXNzIjoiYXJneWxlLWNvcmUtYXV1aC1kZXYiLCJqdGki2eJiZGI4YTExMS0wYzFjLTRiNjEtYmI5NS04ZGQ0YzA0OGQwNzUiLCJzdWIiOiIwMTg4ZjgxYy0zZTFkLTRlZDEtMjEyYy02NmB3YzE4YzVjYzMiLCJ1c2VyX2lkIjoiMDE4OGY4MWMtM2UxZC00ZWQxLTIxMmMtNjZhN2MxN2M1Y2MzIn0.TNiZojOiiXtPVamyCDjz4f2GwR4TA8x6JR3RwjTECjY"

email
string

Email of the invite recipient.

phone_number
string

Phone number of the invite recipient.

Example:

"212-555-5555"

full_name
string
deprecated

Full name of the invite recipient.

Example:

"Sarah Longfield"

first_name
string

First name of the invite recipient.

Example:

"Sarah"

last_name
string

Last name of the invite recipient.

Example:

"Longfield"

revoked_at
string<date-time> | null

Timestamp (ISO 8601) when the invite was revoked.

Example:

null

status
enum<string>

The invite's status.

  • sent — Invite sent successfully.
  • initiated — User clicked the invite URL and was successfully able to enter Link, but has not submitted login credentials, uploaded documents, or completed a response form.
  • attempted — User submitted login credentials through Link (creating a user ID), but no accounts were successfully connected. Also includes users who only submitted a response form.
  • completed — User successfully connected an account or uploaded a document.
  • revoked — The invite was revoked. The user can no longer access Link via the invite URL.
Available options:
sent,
initiated,
attempted,
completed,
revoked
group_id
string<uuid> | null

ID of the group associated with the invite.

Example:

"d8a07e5b-13a3-11ef-af7e-c7eb00762562"

url
string

URL included in the invite that connects the user to Link.

Example:

"https://console.argyle.com/add-work-accounts/0424137bc-edc5-35de-c1b5-1c3cddb4b227"

created_at
string<date-time>

Timestamp (ISO 8601) when the invite was created.

Example:

"2023-03-09T23:57:05.756Z"

updated_at
string<date-time>

Timestamp (ISO 8601) when the invite was updated.

Warning: The timestamp is updated after re-sending or revoking an invite.

Example:

"2023-03-09T23:57:05.756Z"

invited_at
string<date-time>

Timestamp (ISO 8601) when the invite was sent. Warning: The timestamp is updated after re-sending or revoking an invite.

Example:

"2023-03-09T23:57:05.756Z"

flow_id
string | null

ID of the Flow specified via the flow_id parameter when sending the invite.

Example:

"8DRRA4XC"

flow_items
string[] | null

Any Items specified via the flow_items parameter when sending the invite.

Example:
["item_000000001", "item_000000002"]
reply_to
string[] | null

Emails of your team members that will be notified when the user has connected their payroll account(s).

Depending on the invite method, these emails are sourced from:

  1. If sending invites via the API, the reply_to parameter of the override_invite_template object.
  2. If sending invites via Console, the Console member that sends the invite and any Cc'd members of your team.
  3. If sending invites via Argyle's POS & LOS integrations (Encompass, Empower, or nCino), the email address of the Loan Officer sending the invite.
  4. If sending links to Argyle using Shareable URLs, any emails saved in the email notifications toggle of "General settings" of the associated Shareable URL Flow.
  5. If sending links to Argyle using Shareable URLs with URL modifications, the email overwrite specified at the end of the URL.
deliveries
object[]

Array of objects containing information about the delivery status of the invite.

invite_template_id
string<uuid> | null
deprecated

(Deprecated) Customization ID.

Example:

null